'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (inputCount, hiddenCount, outputCount) {
    return new _DeepNetwork2.default([{ //Input layer
        size: inputCount
    }, { //Hidden layer
        size: hiddenCount,
        activationFunction: new _Tanh2.default(),
        learningRate: 0.1
    }, { //Output layer
        size: outputCount,
        activationFunction: new _Linear2.default(),
        learningRate: 0.1
    }]);
};

var _DeepNetwork = require('../network/DeepNetwork');

var _DeepNetwork2 = _interopRequireDefault(_DeepNetwork);

var _Tanh = require('../activation-function/Tanh');

var _Tanh2 = _interopRequireDefault(_Tanh);

var _LogisticSigmoid = require('../activation-function/LogisticSigmoid');

var _LogisticSigmoid2 = _interopRequireDefault(_LogisticSigmoid);

var _Linear = require('../activation-function/Linear');

var _Linear2 = _interopRequireDefault(_Linear);

var _LeakyRelu = require('../activation-function/LeakyRelu');

var _LeakyRelu2 = _interopRequireDefault(_LeakyRelu);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }