'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function () {
    var trainingSets = [//Outputs: [XOR, OR, AND, GreaterThan, LessThan, NotBoth]
    [[0, 0], [0, 0, 0, 0, 0, 1]], [[0, 1], [1, 1, 0, 0, 1, 0]], [[1, 0], [1, 1, 0, 1, 0, 0]], [[1, 1], [0, 1, 1, 0, 0, 0]]];
    (0, _shuffleTrain2.default)(network, trainingSets, 100);
};

var _Linear = require('../activation-function/Linear');

var _Linear2 = _interopRequireDefault(_Linear);

var _LeakyRelu = require('../activation-function/LeakyRelu');

var _LeakyRelu2 = _interopRequireDefault(_LeakyRelu);

var _DeepNetwork = require('./DeepNetwork');

var _DeepNetwork2 = _interopRequireDefault(_DeepNetwork);

var _shuffleTrain = require('../trainer/shuffleTrain');

var _shuffleTrain2 = _interopRequireDefault(_shuffleTrain);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var network = new _DeepNetwork2.default([{ //Input layer
    size: 2
}, { //Hidden layer
    size: 100,
    activationFunction: new _LeakyRelu2.default(),
    learningRate: 0.1
}, { //Output layer
    size: 6,
    activationFunction: new _Linear2.default(),
    learningRate: 0.1
}]);